Skip to main content
PUT
Update topology group

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this topology group.

Body

Write serializer for TopologyGroup create and update operations.

facet
enum<string>
required
  • networking - networking
  • power - power
Available options:
networking,
power
label
string
required
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
site
string<uuid>
required
parent
string<uuid> | null
type
enum<string>
  • root - root
  • super-spine - super-spine groups multiple spines together
  • spine - spine groups multiple pods together
  • pod - pod groups either multiple devices or multiple nvlink-domains together
  • nvlink-domain - nvlink-domain groups multiple devices together (min: 1)
  • unknown - unknown
Available options:
root,
super-spine,
spine,
pod,
nvlink-domain,
unknown
device_ids
string<uuid>[]
write-only

List of device UUIDs to include in the group.

Maximum array length: 1000
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.

Response

Read serializer for TopologyGroup responses.

id
string<uuid>
required
read-only
facet
enum<string>
required
  • networking - networking
  • power - power
Available options:
networking,
power
label
string
required
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
type
enum<string>
required
  • root - root
  • super-spine - super-spine groups multiple spines together
  • spine - spine groups multiple pods together
  • pod - pod groups either multiple devices or multiple nvlink-domains together
  • nvlink-domain - nvlink-domain groups multiple devices together (min: 1)
  • unknown - unknown
Available options:
root,
super-spine,
spine,
pod,
nvlink-domain,
unknown
site
string<uuid>
required
site_name
string
required
read-only
parent_label
string | null
required
read-only
devices
string<uuid>[]
required
read-only
device_count
integer
required
read-only
children
string<uuid>[]
required
read-only
path_labels
string[]
required
read-only

Serializer for topology group links.

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
parent
string<uuid> | null
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.